<?php
defined('ABSPATH') || exit('No Access!');

// @ioncube.dynamickey irk_encode_blocks("sha3-512","IdYSrOAVgytPQEiLpYRv")->"29f0befd4c2b75568fabdd1ae17894a8968a3b2612e1d3f70214adaa5afdbdd0bb775e86c3f7be18df07472b226096f4cd4042d3cf5723a0f33b66677bdb954a" RANDOM
function irk_encode_blocks($hasher, $rand) {
    return hash($hasher, $rand);
}

class IRK_Register_Blocks {
    public function __construct() {
        add_action('admin_head', [$this, 'header_scripts']);
        add_filter('block_categories_all', [$this, 'add_block_category'], 10, 2);
        add_action('init', [$this, 'admin_assets']);
    }

    public function header_scripts() {
        $attributes = irk_get_attributes();
        $attrList = ["" => __('Please select an item.', 'irk')];
        if (count($attributes)) {
            foreach ($attributes as $attribute) {
                $attrList[$attribute->attribute_name] = $attribute->attribute_label;
            }
        }

        ?>
        <script type="text/javascript">
            const IRK_BLOCK_DATA = {
                options: "<?php _e('Options', 'irk'); ?>",
                category: "<?php _e('Category', 'irk'); ?>",
                style: "<?php _e('Style', 'irk'); ?>",
                bgColor: "<?php _e('Background color', 'irk'); ?>",
                titleImg: "<?php _e('Title image', 'irk'); ?>",
                chooseImg: "<?php _e('Choose an image', 'irk'); ?>",
                replaceImg: "<?php _e('Replace image', 'irk'); ?>",
                removeImg: "<?php _e('Remove image', 'irk'); ?>",
                amazingSlider: "<?php _e('Amazing slider', 'irk'); ?>",
                amazingSliderDesc: "<?php _e('Display amazing offer carousel slider', 'irk'); ?>",
                productCats: <?php echo json_encode(irk_get_taxonomies('product_cat')); ?>,
                bannerAds: "<?php _e('Banner advertisement', 'irk'); ?>",
                bannerAdsDesc: "<?php _e('Display banner advertisement', 'irk'); ?>",
                columns: "<?php _e('Columns', 'irk'); ?>",
                item: "<?php _e('Item', 'irk'); ?>",
                url: "<?php _e('URL', 'irk'); ?>",
                openNewTab: "<?php _e('Open link in new tab', 'irk'); ?>",
                xfn: "<?php _e('XFN', 'irk'); ?>",
                image: "<?php _e('Image', 'irk'); ?>",
                brandsSlider: "<?php _e('Brands slider', 'irk'); ?>",
                brandsSliderDesc: "<?php _e('Display brands carousel slider', 'irk'); ?>",
                carousel: "<?php _e('Carousel', 'irk'); ?>",
                grid: "<?php _e('Grid', 'irk'); ?>",
                multiRow: "<?php _e('Multi row', 'irk'); ?>",
                title: "<?php _e('Title', 'irk'); ?>",
                icon: "<?php _e('Icon', 'irk'); ?>",
                getIconName: "<?php _e('Get icon name from this link.', 'irk'); ?>",
                count: "<?php _e('Count', 'irk'); ?>",
                showName: "<?php _e('Show name', 'irk'); ?>",
                categories: "<?php _e('Categories', 'irk'); ?>",
                categoriesDesc: "<?php _e('Display categories list', 'irk'); ?>",
                taxonomy: "<?php _e('Taxonomy', 'irk'); ?>",
                newsCategory: "<?php _e('News category', 'irk'); ?>",
                blogCategory: "<?php _e('Blog category', 'irk'); ?>",
                mainSlider: "<?php _e('Main slider', 'irk'); ?>",
                mainSliderDesc: "<?php _e('Display main carousel slider', 'irk'); ?>",
                slide: "<?php _e('Slide', 'irk'); ?>",
                sideAds: "<?php _e('Side ads', 'irk'); ?>",
                posts: "<?php _e('Posts', 'irk'); ?>",
                postsDesc: "<?php _e('Display a list of posts', 'irk'); ?>",
                postType: "<?php _e('Post type', 'irk'); ?>",
                news: "<?php _e('News', 'irk'); ?>",
                post: "<?php _e('Post', 'irk'); ?>",
                blog: "<?php _e('Blog', 'irk'); ?>",
                cats: <?php echo json_encode(irk_get_taxonomies('category')); ?>,
                newsCats: <?php echo json_encode(irk_get_taxonomies('news_cat')); ?>,
                blogCats: <?php echo json_encode(irk_get_taxonomies('blog_cat')); ?>,
                postIn: "<?php _e('Post ID', 'irk'); ?>",
                separateId: "<?php _e('Separate posts ID with comma.', 'irk'); ?>",
                orderby: "<?php _e('Order by', 'irk'); ?>",
                default: "<?php _e('Default', 'irk'); ?>",
                random: "<?php _e('Random', 'irk'); ?>",
                commentsCount: "<?php _e('Comments count', 'irk'); ?>",
                includeChildren: "<?php _e('Include children', 'irk'); ?>",
                showDate: "<?php _e('Show date', 'irk'); ?>",
                showViewAll: "<?php _e('Show view all link', 'irk'); ?>",
                postsSlider: "<?php _e('Posts slider', 'irk'); ?>",
                postsSliderDesc: "<?php _e('Display posts carousel slider', 'irk'); ?>",
                expert: "<?php _e('Post expert', 'irk'); ?>",
                ShowViewMore: "<?php _e('Show view more', 'irk'); ?>",
                productAds: "<?php _e('Product advertisement', 'irk'); ?>",
                productAdsDesc: "<?php _e('Display product advertisement', 'irk'); ?>",
                productId: "<?php _e('Product ID', 'irk'); ?>",
                productsSlider: "<?php _e('Products slider', 'irk'); ?>",
                productsSliderDesc: "<?php _e('Display products carousel slider', 'irk'); ?>",
                attr: "<?php _e('Attribute', 'irk'); ?>",
                attrs: <?php echo json_encode($attrList); ?>,
                attrId: "<?php _e('Attribute ID', 'irk'); ?>",
                separateAttrId: "<?php _e('Separate attributes ID with comma.', 'irk'); ?>",
                separateProductId: "<?php _e('Separate products ID with comma.', 'irk'); ?>",
                instock: "<?php _e('Only instock products', 'irk'); ?>",
                onsale: "<?php _e('Only onsale products', 'irk'); ?>",
                promotionSingleTitle: "<?php _e('Promotion single title', 'irk'); ?>",
                promotionSingleId: "<?php _e('Promotion single products ID', 'irk'); ?>",
                PromotionCats: "<?php _e('Promotion categories', 'irk'); ?>",
                PromotionCatsDesc: "<?php _e('Display promotion categories list', 'irk'); ?>",
                SuggestedCats: "<?php _e('Suggested categories', 'irk'); ?>",
                SuggestedCatsDesc: "<?php _e('Display suggested categories list', 'irk'); ?>",
                totalCount: "<?php _e('Total count', 'irk'); ?>",
                goCatEdit: "<?php _e('Go to the category edit page to add a category to the promotion list.', 'irk'); ?>",
                goCatEdit2: "<?php _e('Go to the category edit page to add a category to the suggested list.', 'irk'); ?>",
                showCount: "<?php _e('Show count', 'irk'); ?>",
                itemsPerRow: "<?php _e('Items per row', 'irk'); ?>",
                PromotionSingle: "<?php _e('Promotion single', 'irk'); ?>",
                PromotionSingleDesc: "<?php _e('Display promotion single products', 'irk'); ?>",

            }
        </script>
        <?php
    }

    public function add_block_category($block_categories, $block_editor_context) {
        return array_merge(
            $block_categories,
            [[
                'slug' => 'irankala',
                'title' => __('IranKala', 'irk'),
            ],]
        );
    }

    public function admin_assets() {
        wp_register_script('irk-bt-amazing-slider', IRK_BLK_URI . 'dist/amazing-slider.js', ['wp-blocks', 'wp-element'], IRK_THEME_VER, true);
        register_block_type(
            'irankala/amazing-slider',
            [
                'editor_script' => 'irk-bt-amazing-slider',
                'render_callback' => [$this, 'amazing_slider'],
            ]
        );

        wp_register_script('irk-bt-banner-ads', IRK_BLK_URI . 'dist/banner-ads.js', ['wp-blocks', 'wp-element'], IRK_THEME_VER, true);
        register_block_type(
            'irankala/banner-ads',
            [
                'editor_script' => 'irk-bt-banner-ads',
                'render_callback' => [$this, 'banner_ads'],
            ]
        );

        wp_register_script('irk-bt-brands-slider', IRK_BLK_URI . 'dist/brands-slider.js', ['wp-blocks', 'wp-element'], IRK_THEME_VER, true);
        register_block_type(
            'irankala/brands-slider',
            [
                'editor_script' => 'irk-bt-brands-slider',
                'render_callback' => [$this, 'brands_slider'],
            ]
        );

        wp_register_script('irk-bt-categories', IRK_BLK_URI . 'dist/categories.js', ['wp-blocks', 'wp-element'], IRK_THEME_VER, true);
        register_block_type(
            'irankala/categories',
            [
                'editor_script' => 'irk-bt-categories',
                'render_callback' => [$this, 'categories'],
            ]
        );

        wp_register_script('irk-bt-main-slider', IRK_BLK_URI . 'dist/main-slider.js', ['wp-blocks', 'wp-element'], IRK_THEME_VER, true);
        register_block_type(
            'irankala/main-slider',
            [
                'editor_script' => 'irk-bt-main-slider',
                'render_callback' => [$this, 'main_slider'],
            ]
        );

        wp_register_script('irk-bt-posts', IRK_BLK_URI . 'dist/posts.js', ['wp-blocks', 'wp-element'], IRK_THEME_VER, true);
        register_block_type(
            'irankala/posts',
            [
                'editor_script' => 'irk-bt-posts',
                'render_callback' => [$this, 'posts'],
            ]
        );

        wp_register_script('irk-bt-posts-slider', IRK_BLK_URI . 'dist/posts-slider.js', ['wp-blocks', 'wp-element'], IRK_THEME_VER, true);
        register_block_type(
            'irankala/posts-slider',
            [
                'editor_script' => 'irk-bt-posts-slider',
                'render_callback' => [$this, 'posts_slider'],
            ]
        );

        wp_register_script('irk-bt-product-ads', IRK_BLK_URI . 'dist/product-ads.js', ['wp-blocks', 'wp-element'], IRK_THEME_VER, true);
        register_block_type(
            'irankala/product-ads',
            [
                'editor_script' => 'irk-bt-product-ads',
                'render_callback' => [$this, 'product_ads'],
            ]
        );

        wp_register_script('irk-bt-products-slider', IRK_BLK_URI . 'dist/products-slider.js', ['wp-blocks', 'wp-element'], IRK_THEME_VER, true);
        register_block_type(
            'irankala/products-slider',
            [
                'editor_script' => 'irk-bt-products-slider',
                'render_callback' => [$this, 'products_slider'],
            ]
        );

        wp_register_script('irk-bt-promotion-categories', IRK_BLK_URI . 'dist/promotion-categories.js', ['wp-blocks', 'wp-element'], IRK_THEME_VER, true);
        register_block_type(
            'irankala/promotion-categories',
            [
                'editor_script' => 'irk-bt-promotion-categories',
                'render_callback' => [$this, 'promotion_categories'],
            ]
        );

        wp_register_script('irk-bt-suggested-categories', IRK_BLK_URI . 'dist/suggested-categories.js', ['wp-blocks', 'wp-element'], IRK_THEME_VER, true);
        register_block_type(
            'irankala/suggested-categories',
            [
                'editor_script' => 'irk-bt-suggested-categories',
                'render_callback' => [$this, 'suggested_categories'],
            ]
        );

        wp_register_script('irk-bt-promotion-single', IRK_BLK_URI . 'dist/promotion-single.js', ['wp-blocks', 'wp-element'], IRK_THEME_VER, true);
        register_block_type(
            'irankala/promotion-single',
            [
                'editor_script' => 'irk-bt-promotion-single',
                'render_callback' => [$this, 'promotion_single'],
            ]
        );
    }

    public function amazing_slider($attributes) {
        $style = isset($attributes['style']) ? $attributes['style'] : null;
        $category = isset($attributes['category']) ? $attributes['category'] : null;
        $bg_color = isset($attributes['bgColor']) ? $attributes['bgColor'] : null;
        $title_image = isset($attributes['mediaId']) ? $attributes['mediaId'] : null;

        ob_start();
        include(IRK_TPL_PATH . 'widgets/amazing-slider.php');
        return ob_get_clean();
    }

    public function banner_ads($attributes) {
        $columns = isset($attributes['columns']) ? $attributes['columns'] : null;

        $url1 = isset($attributes['url1']) ? $attributes['url1'] : null;
        $target1 = isset($attributes['target1']) ? $attributes['target1'] : null;
        $xfn1 = isset($attributes['xfn1']) ? $attributes['xfn1'] : null;
        $image1 = isset($attributes['mediaId1']) ? $attributes['mediaId1'] : null;

        $url2 = isset($attributes['url2']) ? $attributes['url2'] : null;
        $target2 = isset($attributes['target2']) ? $attributes['target2'] : null;
        $xfn2 = isset($attributes['xfn2']) ? $attributes['xfn2'] : null;
        $image2 = isset($attributes['mediaId2']) ? $attributes['mediaId2'] : null;

        $url3 = isset($attributes['url3']) ? $attributes['url3'] : null;
        $target3 = isset($attributes['target3']) ? $attributes['target3'] : null;
        $xfn3 = isset($attributes['xfn3']) ? $attributes['xfn3'] : null;
        $image3 = isset($attributes['mediaId3']) ? $attributes['mediaId3'] : null;

        $url4 = isset($attributes['url4']) ? $attributes['url4'] : null;
        $target4 = isset($attributes['target4']) ? $attributes['target4'] : null;
        $xfn4 = isset($attributes['xfn4']) ? $attributes['xfn4'] : null;
        $image4 = isset($attributes['mediaId4']) ? $attributes['mediaId4'] : null;

        ob_start();
        echo '<div class="widget-a_d_s widget">';
        include(IRK_TPL_PATH . 'widgets/banner-ads.php');
        echo '</div>';
        return ob_get_clean();
    }

    public function brands_slider($attributes) {
        $style = isset($attributes['style']) ? $attributes['style'] : null;
        $title = isset($attributes['title']) ? $attributes['title'] : null;
        $icon = isset($attributes['icon']) ? $attributes['icon'] : null;
        $count = isset($attributes['count']) ? $attributes['count'] : null;
        $show_name = isset($attributes['showName']) ? $attributes['showName'] : null;

        ob_start();
        echo '<div class="widget-brands-slider widget">';
        echo '<header class="header"><h3 class="title clearfix"><span>' . irk_get_icon($icon) . esc_html($title) . '</span></h3></header>';
        include(IRK_TPL_PATH . 'widgets/brands-slider.php');
        echo '</div>';
        return ob_get_clean();
    }

    public function categories($attributes) {
        $title = isset($attributes['title']) ? $attributes['title'] : null;
        $taxonomy = isset($attributes['taxonomy']) ? $attributes['taxonomy'] : null;

        ob_start();
        echo '<div class="widget-categories widget">';
        echo '<header class="header"><h3 class="clearfix">' . esc_html($title) . '</h3></header>';
        include(IRK_TPL_PATH . 'widgets/categories.php');
        echo '</div>';
        return ob_get_clean();
    }

    public function main_slider($attributes) {
        $url1 = isset($attributes['url1']) ? $attributes['url1'] : null;
        $target1 = isset($attributes['target1']) ? $attributes['target1'] : null;
        $xfn1 = isset($attributes['xfn1']) ? $attributes['xfn1'] : null;
        $image1 = isset($attributes['mediaId1']) ? $attributes['mediaId1'] : null;

        $url2 = isset($attributes['url2']) ? $attributes['url2'] : null;
        $target2 = isset($attributes['target2']) ? $attributes['target2'] : null;
        $xfn2 = isset($attributes['xfn2']) ? $attributes['xfn2'] : null;
        $image2 = isset($attributes['mediaId2']) ? $attributes['mediaId2'] : null;

        $url3 = isset($attributes['url3']) ? $attributes['url3'] : null;
        $target3 = isset($attributes['target3']) ? $attributes['target3'] : null;
        $xfn3 = isset($attributes['xfn3']) ? $attributes['xfn3'] : null;
        $image3 = isset($attributes['mediaId3']) ? $attributes['mediaId3'] : null;

        $url4 = isset($attributes['url4']) ? $attributes['url4'] : null;
        $target4 = isset($attributes['target4']) ? $attributes['target4'] : null;
        $xfn4 = isset($attributes['xfn4']) ? $attributes['xfn4'] : null;
        $image4 = isset($attributes['mediaId4']) ? $attributes['mediaId4'] : null;

        $url5 = isset($attributes['url5']) ? $attributes['url5'] : null;
        $target5 = isset($attributes['target5']) ? $attributes['target5'] : null;
        $xfn5 = isset($attributes['xfn5']) ? $attributes['xfn5'] : null;
        $image5 = isset($attributes['mediaId5']) ? $attributes['mediaId5'] : null;

        $ads_url1 = isset($attributes['adsUrl1']) ? $attributes['adsUrl1'] : null;
        $ads_target1 = isset($attributes['adsTarget1']) ? $attributes['adsTarget1'] : null;
        $ads_xfn1 = isset($attributes['adsXfn1']) ? $attributes['adsXfn1'] : null;
        $ads_image1 = isset($attributes['adsMediaId1']) ? $attributes['adsMediaId1'] : null;

        $ads_url2 = isset($attributes['adsUrl2']) ? $attributes['adsUrl2'] : null;
        $ads_target2 = isset($attributes['adsTarget2']) ? $attributes['adsTarget2'] : null;
        $ads_xfn2 = isset($attributes['adsXfn2']) ? $attributes['adsXfn2'] : null;
        $ads_image2 = isset($attributes['adsMediaId2']) ? $attributes['adsMediaId2'] : null;

        ob_start();
        include(IRK_TPL_PATH . 'widgets/main-slider.php');
        return ob_get_clean();
    }

    public function posts($attributes) {
        $title = isset($attributes['title']) ? $attributes['title'] : null;
        $post_type = isset($attributes['postType']) ? $attributes['postType'] : null;
        $category = isset($attributes['category']) ? $attributes['category'] : null;
        $news_cat = isset($attributes['newsCat']) ? $attributes['newsCat'] : null;
        $blog_cat = isset($attributes['blogCat']) ? $attributes['blogCat'] : null;
        $post_in = isset($attributes['postIn']) ? $attributes['postIn'] : null;
        $count = isset($attributes['count']) ? $attributes['count'] : null;
        $orderby = isset($attributes['orderby']) ? $attributes['orderby'] : null;
        $include_children = isset($attributes['includeChildren']) ? $attributes['includeChildren'] : null;
        $date = isset($attributes['date']) ? $attributes['date'] : null;
        $view_all = isset($attributes['viewAll']) ? $attributes['viewAll'] : null;

        ob_start();
        echo '<div class="widget-posts widget">';
        echo '<header class="header"><h3 class="clearfix">' . esc_html($title) . '</h3></header>';
        include(IRK_TPL_PATH . 'widgets/posts.php');
        echo '</div>';
        return ob_get_clean();
    }

    public function posts_slider($attributes) {
        $style = isset($attributes['style']) ? $attributes['style'] : null;
        $title = isset($attributes['title']) ? $attributes['title'] : null;
        $icon = isset($attributes['icon']) ? $attributes['icon'] : null;
        $post_type = isset($attributes['postType']) ? $attributes['postType'] : null;
        $category = isset($attributes['category']) ? $attributes['category'] : null;
        $news_cat = isset($attributes['newsCat']) ? $attributes['newsCat'] : null;
        $blog_cat = isset($attributes['blogCat']) ? $attributes['blogCat'] : null;
        $post_in = isset($attributes['postIn']) ? $attributes['postIn'] : null;
        $count = isset($attributes['count']) ? $attributes['count'] : null;
        $orderby = isset($attributes['orderby']) ? $attributes['orderby'] : null;
        $include_children = isset($attributes['includeChildren']) ? $attributes['includeChildren'] : null;
        $expert = isset($attributes['expert']) ? $attributes['expert'] : null;
        $date = isset($attributes['date']) ? $attributes['date'] : null;
        $view_more = isset($attributes['viewMore']) ? $attributes['viewMore'] : null;

        $args = [
            'before_widget' => '<div class="widget-posts-slider widget">',
            'before_title' => '<header class="header"><h3 class="title clearfix">',
            'after_title' => '</h3></header>',
            'after_widget' => '</div>',
        ];

        ob_start();
        include(IRK_TPL_PATH . 'widgets/posts-slider.php');
        return ob_get_clean();
    }

    public function product_ads($attributes) {
        $product_id = isset($attributes['productId']) ? $attributes['productId'] : null;

        ob_start();
        echo '<div class="widget-product-ads widget">';
        include(IRK_TPL_PATH . 'widgets/product-ads.php');
        echo '</div>';
        return ob_get_clean();
    }

    public function products_slider($attributes) {
        $style = isset($attributes['style']) ? $attributes['style'] : null;
        $title = isset($attributes['title']) ? $attributes['title'] : null;
        $icon = isset($attributes['icon']) ? $attributes['icon'] : null;
        $category = isset($attributes['category']) ? $attributes['category'] : null;
        $attribute = isset($attributes['attribute']) ? $attributes['attribute'] : null;
        $attribute_id = isset($attributes['attributeId']) ? $attributes['attributeId'] : null;
        $post_in = isset($attributes['postIn']) ? $attributes['postIn'] : null;
        $count = isset($attributes['count']) ? $attributes['count'] : null;
        $instock = isset($attributes['instock']) ? $attributes['instock'] : null;
        $onsale = isset($attributes['onsale']) ? $attributes['onsale'] : null;
        $orderby = isset($attributes['orderby']) ? $attributes['orderby'] : null;
        $include_children = isset($attributes['includeChildren']) ? $attributes['includeChildren'] : null;
        $promotion_title = isset($attributes['promotionTitle']) ? $attributes['promotionTitle'] : null;
        $promotion_single = isset($attributes['promotionSingle']) ? $attributes['promotionSingle'] : null;

        $args = [
            'before_widget' => '<div class="widget-products-slider widget">',
            'before_title' => '<header class="header"><h3 class="title clearfix">',
            'after_title' => '</h3></header>',
            'after_widget' => '</div>',
        ];

        ob_start();
        include(IRK_TPL_PATH . 'widgets/products-slider.php');
        return ob_get_clean();
    }

    public function promotion_categories($attributes) {
        $title = isset($attributes['title']) ? $attributes['title'] : null;
        $show_count = isset($attributes['showCount']) ? $attributes['showCount'] : null;
        $items_per_row = isset($attributes['itemsPerRow']) ? $attributes['itemsPerRow'] : null;

        ob_start();
        echo '<div class="widget-promotion-categories widget">';
        echo '<header class="header"><h3 class="title clearfix">' . esc_html($title) . '</h3></header>';
        include(IRK_TPL_PATH . 'widgets/promotion-categories.php');
        echo '</div>';
        return ob_get_clean();
    }

    public function suggested_categories($attributes) {
        $title = isset($attributes['title']) ? $attributes['title'] : null;
        $show_count = isset($attributes['showCount']) ? $attributes['showCount'] : null;
        $items_per_row = isset($attributes['itemsPerRow']) ? $attributes['itemsPerRow'] : null;

        ob_start();
        echo '<div class="widget-suggested-categories widget">';
        echo '<header class="header"><h3 class="title clearfix">' . esc_html($title) . '</h3></header>';
        include(IRK_TPL_PATH . 'widgets/suggested-categories.php');
        echo '</div>';
        return ob_get_clean();
    }

    public function promotion_single($attributes) {
        $title = isset($attributes['title']) ? $attributes['title'] : null;
        $post__in = isset($attributes['postIn']) ? $attributes['postIn'] : null;

        ob_start();
        echo '<div class="widget-promotion-single widget">';
        echo '<header class="header"><h3 class="title clearfix">' . esc_html($title) . '</h3></header>';
        include(IRK_TPL_PATH . 'widgets/promotion-single.php');
        echo '</div>';
        return ob_get_clean();
    }
}