<?php
defined('ABSPATH') || exit('No Access!');

$footer_logo_image = $options->get_option('footer-logo-image');
$app_bar_image = $options->get_option('app-bar-image');
$service_image1 = $options->get_option('service-image1');
$service_image2 = $options->get_option('service-image2');
$service_image3 = $options->get_option('service-image3');
$service_image4 = $options->get_option('service-image4');
$service_image5 = $options->get_option('service-image5');
$app_image1 = $options->get_option('app-image1');
$app_image2 = $options->get_option('app-image2');
$app_image3 = $options->get_option('app-image3');
$app_image4 = $options->get_option('app-image4');
$social_networks = $options->get_option('social-network');
$social_networks = is_array($social_networks) ? $social_networks : [];
$navigation = $options->get_option('bottom-navigation');
$navigation = is_array($navigation) ? $navigation : [];
$partner_image1 = $options->get_option('partner-image1');
$partner_image2 = $options->get_option('partner-image2');
$partner_image3 = $options->get_option('partner-image3');
$partner_image4 = $options->get_option('partner-image4');
$partner_image5 = $options->get_option('partner-image5');
?>
<div class="irk-settings-area irk-settings-footer">
    <h2 class="irk-settings-title">
        <span class="irk-title-icon"><span uk-icon="table"></span></span>
        <strong><?php _e('Footer', 'irk'); ?></strong>
    </h2>
    <ul uk-tab>
        <li class="uk-active"><a href="#"><?php _e('Global', 'irk'); ?></a></li>
        <li><a href="#"><?php _e('Services', 'irk'); ?></a></li>
        <li><a href="#"><?php _e('Application', 'irk'); ?></a></li>
        <li><a href="#"><?php _e('Social networks', 'irk'); ?></a></li>
        <li><a href="#"><?php _e('Partners', 'irk'); ?></a></li>
        <li><a href="#"><?php _e('Bottom navigation', 'irk'); ?></a></li>
    </ul>
    <ul class="uk-switcher uk-margin">
        <li>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Logo image (footer)', 'irk'); ?></label>
                <div class="irk-upload-file-wrapper">
                    <img src="<?php echo intval($footer_logo_image) ? wp_get_attachment_url( $footer_logo_image ) : IRK_IMG_URI.'dot.png'; ?>" class="irk-image" alt="image">
                    <input type="hidden" name="footer-logo-image" value="<?php echo esc_attr( $footer_logo_image ); ?>">
                    <br>
                    <button class="uk-button uk-button-primary irk-upload-file"><?php _e('Select image', 'irk'); ?></button>
                    <button class="uk-button uk-button-default irk-remove" data-default="<?php echo IRK_IMG_URI.'dot.png'; ?>"><?php _e('Remove image', 'irk'); ?></button>
                </div>
            </div>
            <div class="uk-margin">
                <label class="uk-form-label" for="irk-newsletter-shortcode"><?php _e('Newsletter shortcode', 'irk'); ?></label>
                <input type="text" class="uk-input" id="irk-newsletter-shortcode" name="newsletter-shortcode" value="<?php echo esc_attr($options->get_option('newsletter-shortcode')); ?>">
            </div>
            <div class="uk-margin">
                <label class="uk-form-label" for="irk-contact-text"><?php _e('Contact text', 'irk'); ?></label>
                <input type="text" class="uk-input" id="irk-contact-text" name="contact-text" value="<?php echo esc_attr($options->get_option('contact-text')); ?>">
            </div>
            <div class="uk-margin">
                <label class="uk-form-label" for="irk-shop-phone"><?php _e('Shop phone', 'irk'); ?></label>
                <input type="text" class="uk-input" id="irk-shop-phone" name="shop-phone" value="<?php echo esc_attr($options->get_option('shop-phone')); ?>">
                <div class="irk-description">
                    <span uk-icon="info"></span>
                    <?php _e('Separate numbers with comma.', 'irk'); ?>
                </div>
            </div>
            <div class="uk-margin">
                <label class="uk-form-label" for="irk-shop-email"><?php _e('Shop email', 'irk'); ?></label>
                <input type="text" class="uk-input" id="irk-shop-email" name="shop-email" value="<?php echo esc_attr($options->get_option('shop-email')); ?>">
            </div>
            <div class="uk-margin">
                <label class="uk-form-label" for="irk-copyright"><?php _e('Copyright', 'irk'); ?></label>
                <input type="text" class="uk-input" id="irk-copyright" name="copyright" value="<?php echo esc_attr($options->get_option('copyright')); ?>">
                <div class="irk-description">
                    <span uk-icon="info"></span>
                    <?php _e('This year:', 'irk'); ?>
                    <code class="irk-clipboard" uk-tooltip="<?php _e('Click to copy in clipboard.', 'irk'); ?>">{{year}}</code>
                </div>
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Description show more', 'irk'); ?></label>
                <div class="uk-margin-small">
                    <label>
                        <input class="uk-checkbox" type="checkbox" name="disable-showmore-desc" value="1" <?php echo checked($options->get_option('disable-showmore-desc'), 1); ?>>
                        <?php _e('Disable', 'irk'); ?>
                    </label>
                </div>
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Application bar', 'irk'); ?></label>
                <div class="uk-margin-small">
                    <label>
                        <input class="uk-checkbox" type="checkbox" name="app-bar" value="1" <?php echo checked($options->get_option('app-bar'), 1); ?>>
                        <?php _e('Active', 'irk'); ?>
                    </label>
                </div>
                <div class="uk-margin-small">
                    <div class="irk-upload-file-wrapper">
                        <img src="<?php echo intval($app_bar_image) ? wp_get_attachment_url( $app_bar_image ) : IRK_IMG_URI.'dot.png'; ?>" class="irk-image" alt="image">
                        <input type="hidden" name="app-bar-image" value="<?php echo esc_attr( $app_bar_image ); ?>">
                        <br>
                        <button class="uk-button uk-button-primary irk-upload-file"><?php _e('Select image', 'irk'); ?></button>
                        <button class="uk-button uk-button-default irk-remove" data-default="<?php echo IRK_IMG_URI.'dot.png'; ?>"><?php _e('Remove image', 'irk'); ?></button>
                    </div>
                </div>
                <div class="uk-margin-small">
                    <input type="text" class="uk-input" name="app-bar-title" value="<?php echo esc_attr($options->get_option('app-bar-title')); ?>" placeholder="<?php _e('Title', 'irk'); ?>">
                </div>
                <div class="uk-margin-small">
                    <input type="text" class="uk-input" name="app-bar-android-url" value="<?php echo esc_attr($options->get_option('app-bar-android-url')); ?>" placeholder="<?php _e('Android URL', 'irk'); ?>">
                </div>
                <div class="uk-margin-small">
                    <input type="text" class="uk-input" name="app-bar-ios-url" value="<?php echo esc_attr($options->get_option('app-bar-ios-url')); ?>" placeholder="<?php _e('iOS URL', 'irk'); ?>">
                </div>
            </div>
        </li>
        <li>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Service', 'irk'); ?> 1</label>
                <div class="uk-margin-small">
                    <div class="irk-upload-file-wrapper">
                        <img src="<?php echo intval($service_image1) ? wp_get_attachment_url( $service_image1 ) : IRK_IMG_URI.'dot.png'; ?>" class="irk-image" alt="image">
                        <input type="hidden" name="service-image1" value="<?php echo esc_attr( $service_image1 ); ?>">
                        <br>
                        <button class="uk-button uk-button-primary irk-upload-file"><?php _e('Select image', 'irk'); ?></button>
                        <button class="uk-button uk-button-default irk-remove" data-default="<?php echo IRK_IMG_URI.'dot.png'; ?>"><?php _e('Remove image', 'irk'); ?></button>
                    </div>
                </div>
                <div class="uk-margin-small">
                    <input type="text" class="uk-input" name="service-title1" value="<?php echo esc_attr($options->get_option('service-title1')); ?>" placeholder="<?php _e('Title', 'irk'); ?>">
                </div>
                <div class="uk-margin-small">
                    <input type="text" class="uk-input" name="service-url1" value="<?php echo esc_attr($options->get_option('service-url1')); ?>" placeholder="<?php _e('URL', 'irk'); ?>">
                </div>
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Service', 'irk'); ?> 2</label>
                <div class="uk-margin-small">
                    <div class="irk-upload-file-wrapper">
                        <img src="<?php echo intval($service_image2) ? wp_get_attachment_url( $service_image2 ) : IRK_IMG_URI.'dot.png'; ?>" class="irk-image" alt="image">
                        <input type="hidden" name="service-image2" value="<?php echo esc_attr( $service_image2 ); ?>">
                        <br>
                        <button class="uk-button uk-button-primary irk-upload-file"><?php _e('Select image', 'irk'); ?></button>
                        <button class="uk-button uk-button-default irk-remove" data-default="<?php echo IRK_IMG_URI.'dot.png'; ?>"><?php _e('Remove image', 'irk'); ?></button>
                    </div>
                </div>
                <div class="uk-margin-small">
                    <input type="text" class="uk-input" name="service-title2" value="<?php echo esc_attr($options->get_option('service-title2')); ?>" placeholder="<?php _e('Title', 'irk'); ?>">
                </div>
                <div class="uk-margin-small">
                    <input type="text" class="uk-input" name="service-url2" value="<?php echo esc_attr($options->get_option('service-url2')); ?>" placeholder="<?php _e('URL', 'irk'); ?>">
                </div>
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Service', 'irk'); ?> 3</label>
                <div class="uk-margin-small">
                    <div class="irk-upload-file-wrapper">
                        <img src="<?php echo intval($service_image3) ? wp_get_attachment_url( $service_image3 ) : IRK_IMG_URI.'dot.png'; ?>" class="irk-image" alt="image">
                        <input type="hidden" name="service-image3" value="<?php echo esc_attr( $service_image3 ); ?>">
                        <br>
                        <button class="uk-button uk-button-primary irk-upload-file"><?php _e('Select image', 'irk'); ?></button>
                        <button class="uk-button uk-button-default irk-remove" data-default="<?php echo IRK_IMG_URI.'dot.png'; ?>"><?php _e('Remove image', 'irk'); ?></button>
                    </div>
                </div>
                <div class="uk-margin-small">
                    <input type="text" class="uk-input" name="service-title3" value="<?php echo esc_attr($options->get_option('service-title3')); ?>" placeholder="<?php _e('Title', 'irk'); ?>">
                </div>
                <div class="uk-margin-small">
                    <input type="text" class="uk-input" name="service-url3" value="<?php echo esc_attr($options->get_option('service-url3')); ?>" placeholder="<?php _e('URL', 'irk'); ?>">
                </div>
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Service', 'irk'); ?> 4</label>
                <div class="uk-margin-small">
                    <div class="irk-upload-file-wrapper">
                        <img src="<?php echo intval($service_image4) ? wp_get_attachment_url( $service_image4 ) : IRK_IMG_URI.'dot.png'; ?>" class="irk-image" alt="image">
                        <input type="hidden" name="service-image4" value="<?php echo esc_attr( $service_image4 ); ?>">
                        <br>
                        <button class="uk-button uk-button-primary irk-upload-file"><?php _e('Select image', 'irk'); ?></button>
                        <button class="uk-button uk-button-default irk-remove" data-default="<?php echo IRK_IMG_URI.'dot.png'; ?>"><?php _e('Remove image', 'irk'); ?></button>
                    </div>
                </div>
                <div class="uk-margin-small">
                    <input type="text" class="uk-input" name="service-title4" value="<?php echo esc_attr($options->get_option('service-title4')); ?>" placeholder="<?php _e('Title', 'irk'); ?>">
                </div>
                <div class="uk-margin-small">
                    <input type="text" class="uk-input" name="service-url4" value="<?php echo esc_attr($options->get_option('service-url4')); ?>" placeholder="<?php _e('URL', 'irk'); ?>">
                </div>
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Service', 'irk'); ?> 5</label>
                <div class="uk-margin-small">
                    <div class="irk-upload-file-wrapper">
                        <img src="<?php echo intval($service_image5) ? wp_get_attachment_url( $service_image5 ) : IRK_IMG_URI.'dot.png'; ?>" class="irk-image" alt="image">
                        <input type="hidden" name="service-image5" value="<?php echo esc_attr( $service_image5 ); ?>">
                        <br>
                        <button class="uk-button uk-button-primary irk-upload-file"><?php _e('Select image', 'irk'); ?></button>
                        <button class="uk-button uk-button-default irk-remove" data-default="<?php echo IRK_IMG_URI.'dot.png'; ?>"><?php _e('Remove image', 'irk'); ?></button>
                    </div>
                </div>
                <div class="uk-margin-small">
                    <input type="text" class="uk-input" name="service-title5" value="<?php echo esc_attr($options->get_option('service-title5')); ?>" placeholder="<?php _e('Title', 'irk'); ?>">
                </div>
                <div class="uk-margin-small">
                    <input type="text" class="uk-input" name="service-url5" value="<?php echo esc_attr($options->get_option('service-url5')); ?>" placeholder="<?php _e('URL', 'irk'); ?>">
                </div>
            </div>
        </li>
        <li>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Application', 'irk'); ?> 1</label>
                <div class="uk-margin-small">
                    <div class="irk-upload-file-wrapper">
                        <img src="<?php echo intval($app_image1) ? wp_get_attachment_url( $app_image1 ) : IRK_IMG_URI.'dot.png'; ?>" class="irk-image" alt="image">
                        <input type="hidden" name="app-image1" value="<?php echo esc_attr( $app_image1 ); ?>">
                        <br>
                        <button class="uk-button uk-button-primary irk-upload-file"><?php _e('Select image', 'irk'); ?></button>
                        <button class="uk-button uk-button-default irk-remove" data-default="<?php echo IRK_IMG_URI.'dot.png'; ?>"><?php _e('Remove image', 'irk'); ?></button>
                    </div>
                </div>
                <div class="uk-margin-small">
                    <input type="text" class="uk-input" name="app-url1" value="<?php echo esc_attr($options->get_option('app-url1')); ?>" placeholder="<?php _e('URL', 'irk'); ?>">
                </div>
                <div class="uk-margin-small">
                    <input type="text" class="uk-input" name="app-xfn1" value="<?php echo esc_attr($options->get_option('app-xfn1')); ?>" placeholder="<?php _e('XFN', 'irk'); ?>">
                </div>
                <div class="uk-margin-small">
                    <label>
                        <input class="uk-checkbox" type="checkbox" name="app-target1" value="1" <?php echo checked($options->get_option('app-target1'), 1); ?>>
                        <?php _e('Open link in new tab', 'irk'); ?>
                    </label>
                </div>
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Application', 'irk'); ?> 2</label>
                <div class="uk-margin-small">
                    <div class="irk-upload-file-wrapper">
                        <img src="<?php echo intval($app_image2) ? wp_get_attachment_url( $app_image2 ) : IRK_IMG_URI.'dot.png'; ?>" class="irk-image" alt="image">
                        <input type="hidden" name="app-image2" value="<?php echo esc_attr( $app_image2 ); ?>">
                        <br>
                        <button class="uk-button uk-button-primary irk-upload-file"><?php _e('Select image', 'irk'); ?></button>
                        <button class="uk-button uk-button-default irk-remove" data-default="<?php echo IRK_IMG_URI.'dot.png'; ?>"><?php _e('Remove image', 'irk'); ?></button>
                    </div>
                </div>
                <div class="uk-margin-small">
                    <input type="text" class="uk-input" name="app-url2" value="<?php echo esc_attr($options->get_option('app-url2')); ?>" placeholder="<?php _e('URL', 'irk'); ?>">
                </div>
                <div class="uk-margin-small">
                    <input type="text" class="uk-input" name="app-xfn2" value="<?php echo esc_attr($options->get_option('app-xfn2')); ?>" placeholder="<?php _e('XFN', 'irk'); ?>">
                </div>
                <div class="uk-margin-small">
                    <label>
                        <input class="uk-checkbox" type="checkbox" name="app-target2" value="2" <?php echo checked($options->get_option('app-target2'), 2); ?>>
                        <?php _e('Open link in new tab', 'irk'); ?>
                    </label>
                </div>
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Application', 'irk'); ?> 3</label>
                <div class="uk-margin-small">
                    <div class="irk-upload-file-wrapper">
                        <img src="<?php echo intval($app_image3) ? wp_get_attachment_url( $app_image3 ) : IRK_IMG_URI.'dot.png'; ?>" class="irk-image" alt="image">
                        <input type="hidden" name="app-image3" value="<?php echo esc_attr( $app_image3 ); ?>">
                        <br>
                        <button class="uk-button uk-button-primary irk-upload-file"><?php _e('Select image', 'irk'); ?></button>
                        <button class="uk-button uk-button-default irk-remove" data-default="<?php echo IRK_IMG_URI.'dot.png'; ?>"><?php _e('Remove image', 'irk'); ?></button>
                    </div>
                </div>
                <div class="uk-margin-small">
                    <input type="text" class="uk-input" name="app-url3" value="<?php echo esc_attr($options->get_option('app-url3')); ?>" placeholder="<?php _e('URL', 'irk'); ?>">
                </div>
                <div class="uk-margin-small">
                    <input type="text" class="uk-input" name="app-xfn3" value="<?php echo esc_attr($options->get_option('app-xfn3')); ?>" placeholder="<?php _e('XFN', 'irk'); ?>">
                </div>
                <div class="uk-margin-small">
                    <label>
                        <input class="uk-checkbox" type="checkbox" name="app-target3" value="3" <?php echo checked($options->get_option('app-target3'), 3); ?>>
                        <?php _e('Open link in new tab', 'irk'); ?>
                    </label>
                </div>
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Application', 'irk'); ?> 4</label>
                <div class="uk-margin-small">
                    <div class="irk-upload-file-wrapper">
                        <img src="<?php echo intval($app_image4) ? wp_get_attachment_url( $app_image4 ) : IRK_IMG_URI.'dot.png'; ?>" class="irk-image" alt="image">
                        <input type="hidden" name="app-image4" value="<?php echo esc_attr( $app_image4 ); ?>">
                        <br>
                        <button class="uk-button uk-button-primary irk-upload-file"><?php _e('Select image', 'irk'); ?></button>
                        <button class="uk-button uk-button-default irk-remove" data-default="<?php echo IRK_IMG_URI.'dot.png'; ?>"><?php _e('Remove image', 'irk'); ?></button>
                    </div>
                </div>
                <div class="uk-margin-small">
                    <input type="text" class="uk-input" name="app-url4" value="<?php echo esc_attr($options->get_option('app-url4')); ?>" placeholder="<?php _e('URL', 'irk'); ?>">
                </div>
                <div class="uk-margin-small">
                    <input type="text" class="uk-input" name="app-xfn4" value="<?php echo esc_attr($options->get_option('app-xfn4')); ?>" placeholder="<?php _e('XFN', 'irk'); ?>">
                </div>
                <div class="uk-margin-small">
                    <label>
                        <input class="uk-checkbox" type="checkbox" name="app-target4" value="4" <?php echo checked($options->get_option('app-target4'), 4); ?>>
                        <?php _e('Open link in new tab', 'irk'); ?>
                    </label>
                </div>
            </div>
        </li>
        <li>
            <div class="irk-sortable uk-margin">
                <?php if (count($social_networks)): ?>
                    <?php foreach ($social_networks as $key => $social_network): ?>
                        <?php
                        $icon = $social_network['icon'] ?? null;
                        $url = $social_network['url'] ?? null;
                        $title = $social_network['title'] ?? null;
                        $xfn = $social_network['xfn'] ?? null;
                        ?>
                        <div class="irk-social-network-item irk-item uk-margin-small">
                            <div class="irk-actions">
                                <span class="move" uk-icon="move" uk-tooltip="title: <?php _e('Move', 'irk'); ?>"></span>
                                <span class="remove" uk-icon="close" uk-tooltip="title: <?php _e('Remove', 'irk'); ?>"></span>
                            </div>
                            <div class="uk-margin-small irk-mdi-select">
                                <input type="text" class="uk-input" name="social-network[<?php echo $key; ?>][icon]" value="<?php echo esc_attr($icon); ?>" placeholder="<?php _e('Icon', 'irk'); ?>">
                                <a href="https://materialdesignicons.com" class="uk-button uk-button-default uk-button-small" uk-tooltip="title: <?php _e('Select icon name from this link or insert icon image URL.', 'irk'); ?>" target="_blank"><?php _e('Select icon', 'irk'); ?></a>
                            </div>
                            <div class="uk-margin-small">
                                <input type="text" class="uk-input" name="social-network[<?php echo $key; ?>][url]" value="<?php echo esc_attr($url); ?>" placeholder="<?php _e('URL', 'irk'); ?>">
                            </div>
                            <div class="uk-margin-small">
                                <input type="text" class="uk-input" name="social-network[<?php echo $key; ?>][title]" value="<?php echo esc_attr($title); ?>" placeholder="<?php _e('Title', 'irk'); ?>">
                            </div>
                            <div class="uk-margin-small">
                                <input type="text" class="uk-input" name="social-network[<?php echo $key; ?>][xfn]" value="<?php echo esc_attr($xfn); ?>" placeholder="<?php _e('XFN', 'irk'); ?>">
                            </div>
                        </div>
                    <?php endforeach; ?>
                <?php endif; ?>
                <a href="#" class="irk-new-social-network uk-button uk-button-default uk-button-small"><?php _e('New item', 'irk'); ?></a>
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Show in top menu', 'irk'); ?></label>
                <div class="uk-margin-small">
                    <label>
                        <input class="uk-checkbox" type="checkbox" name="socials-in-topmenu" value="1" <?php echo checked($options->get_option('socials-in-topmenu'), 1); ?>>
                        <?php _e('Active', 'irk'); ?>
                    </label>
                </div>
            </div>
        </li>
        <li>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Partner', 'irk'); ?> 1</label>
                <div class="uk-margin-small">
                    <div class="irk-upload-file-wrapper">
                        <img src="<?php echo intval($partner_image1) ? wp_get_attachment_url( $partner_image1 ) : IRK_IMG_URI.'dot.png'; ?>" class="irk-image" alt="image">
                        <input type="hidden" name="partner-image1" value="<?php echo esc_attr( $partner_image1 ); ?>">
                        <br>
                        <button class="uk-button uk-button-primary irk-upload-file"><?php _e('Select image', 'irk'); ?></button>
                        <button class="uk-button uk-button-default irk-remove" data-default="<?php echo IRK_IMG_URI.'dot.png'; ?>"><?php _e('Remove image', 'irk'); ?></button>
                    </div>
                </div>
                <div class="uk-margin-small">
                    <input type="text" class="uk-input" name="partner-title1" value="<?php echo esc_attr($options->get_option('partner-title1')); ?>" placeholder="<?php _e('Title', 'irk'); ?>">
                </div>
                <div class="uk-margin-small">
                    <input type="text" class="uk-input" name="partner-url1" value="<?php echo esc_attr($options->get_option('partner-url1')); ?>" placeholder="<?php _e('URL', 'irk'); ?>">
                </div>
                <div class="uk-margin-small">
                    <input type="text" class="uk-input" name="partner-xfn1" value="<?php echo esc_attr($options->get_option('partner-xfn1')); ?>" placeholder="<?php _e('XFN', 'irk'); ?>">
                </div>
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Partner', 'irk'); ?> 2</label>
                <div class="uk-margin-small">
                    <div class="irk-upload-file-wrapper">
                        <img src="<?php echo intval($partner_image2) ? wp_get_attachment_url( $partner_image2 ) : IRK_IMG_URI.'dot.png'; ?>" class="irk-image" alt="image">
                        <input type="hidden" name="partner-image2" value="<?php echo esc_attr( $partner_image2 ); ?>">
                        <br>
                        <button class="uk-button uk-button-primary irk-upload-file"><?php _e('Select image', 'irk'); ?></button>
                        <button class="uk-button uk-button-default irk-remove" data-default="<?php echo IRK_IMG_URI.'dot.png'; ?>"><?php _e('Remove image', 'irk'); ?></button>
                    </div>
                </div>
                <div class="uk-margin-small">
                    <input type="text" class="uk-input" name="partner-title2" value="<?php echo esc_attr($options->get_option('partner-title2')); ?>" placeholder="<?php _e('Title', 'irk'); ?>">
                </div>
                <div class="uk-margin-small">
                    <input type="text" class="uk-input" name="partner-url2" value="<?php echo esc_attr($options->get_option('partner-url2')); ?>" placeholder="<?php _e('URL', 'irk'); ?>">
                </div>
                <div class="uk-margin-small">
                    <input type="text" class="uk-input" name="partner-xfn2" value="<?php echo esc_attr($options->get_option('partner-xfn2')); ?>" placeholder="<?php _e('XFN', 'irk'); ?>">
                </div>
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Partner', 'irk'); ?> 3</label>
                <div class="uk-margin-small">
                    <div class="irk-upload-file-wrapper">
                        <img src="<?php echo intval($partner_image3) ? wp_get_attachment_url( $partner_image3 ) : IRK_IMG_URI.'dot.png'; ?>" class="irk-image" alt="image">
                        <input type="hidden" name="partner-image3" value="<?php echo esc_attr( $partner_image3 ); ?>">
                        <br>
                        <button class="uk-button uk-button-primary irk-upload-file"><?php _e('Select image', 'irk'); ?></button>
                        <button class="uk-button uk-button-default irk-remove" data-default="<?php echo IRK_IMG_URI.'dot.png'; ?>"><?php _e('Remove image', 'irk'); ?></button>
                    </div>
                </div>
                <div class="uk-margin-small">
                    <input type="text" class="uk-input" name="partner-title3" value="<?php echo esc_attr($options->get_option('partner-title3')); ?>" placeholder="<?php _e('Title', 'irk'); ?>">
                </div>
                <div class="uk-margin-small">
                    <input type="text" class="uk-input" name="partner-url3" value="<?php echo esc_attr($options->get_option('partner-url3')); ?>" placeholder="<?php _e('URL', 'irk'); ?>">
                </div>
                <div class="uk-margin-small">
                    <input type="text" class="uk-input" name="partner-xfn3" value="<?php echo esc_attr($options->get_option('partner-xfn3')); ?>" placeholder="<?php _e('XFN', 'irk'); ?>">
                </div>
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Partner', 'irk'); ?> 4</label>
                <div class="uk-margin-small">
                    <div class="irk-upload-file-wrapper">
                        <img src="<?php echo intval($partner_image4) ? wp_get_attachment_url( $partner_image4 ) : IRK_IMG_URI.'dot.png'; ?>" class="irk-image" alt="image">
                        <input type="hidden" name="partner-image4" value="<?php echo esc_attr( $partner_image4 ); ?>">
                        <br>
                        <button class="uk-button uk-button-primary irk-upload-file"><?php _e('Select image', 'irk'); ?></button>
                        <button class="uk-button uk-button-default irk-remove" data-default="<?php echo IRK_IMG_URI.'dot.png'; ?>"><?php _e('Remove image', 'irk'); ?></button>
                    </div>
                </div>
                <div class="uk-margin-small">
                    <input type="text" class="uk-input" name="partner-title4" value="<?php echo esc_attr($options->get_option('partner-title4')); ?>" placeholder="<?php _e('Title', 'irk'); ?>">
                </div>
                <div class="uk-margin-small">
                    <input type="text" class="uk-input" name="partner-url4" value="<?php echo esc_attr($options->get_option('partner-url4')); ?>" placeholder="<?php _e('URL', 'irk'); ?>">
                </div>
                <div class="uk-margin-small">
                    <input type="text" class="uk-input" name="partner-xfn4" value="<?php echo esc_attr($options->get_option('partner-xfn4')); ?>" placeholder="<?php _e('XFN', 'irk'); ?>">
                </div>
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Partner', 'irk'); ?> 5</label>
                <div class="uk-margin-small">
                    <div class="irk-upload-file-wrapper">
                        <img src="<?php echo intval($partner_image5) ? wp_get_attachment_url( $partner_image5 ) : IRK_IMG_URI.'dot.png'; ?>" class="irk-image" alt="image">
                        <input type="hidden" name="partner-image5" value="<?php echo esc_attr( $partner_image5 ); ?>">
                        <br>
                        <button class="uk-button uk-button-primary irk-upload-file"><?php _e('Select image', 'irk'); ?></button>
                        <button class="uk-button uk-button-default irk-remove" data-default="<?php echo IRK_IMG_URI.'dot.png'; ?>"><?php _e('Remove image', 'irk'); ?></button>
                    </div>
                </div>
                <div class="uk-margin-small">
                    <input type="text" class="uk-input" name="partner-title5" value="<?php echo esc_attr($options->get_option('partner-title5')); ?>" placeholder="<?php _e('Title', 'irk'); ?>">
                </div>
                <div class="uk-margin-small">
                    <input type="text" class="uk-input" name="partner-url5" value="<?php echo esc_attr($options->get_option('partner-url5')); ?>" placeholder="<?php _e('URL', 'irk'); ?>">
                </div>
                <div class="uk-margin-small">
                    <input type="text" class="uk-input" name="partner-xfn5" value="<?php echo esc_attr($options->get_option('partner-xfn5')); ?>" placeholder="<?php _e('XFN', 'irk'); ?>">
                </div>
            </div>
        </li>
        <li>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Default item', 'irk'); ?></label>
                <div class="uk-margin-small">
                    <label>
                        <input class="uk-checkbox" type="checkbox" name="bottom-navigation-home" value="1" <?php checked($options->get_option('bottom-navigation-home'), 1); ?>>
                        <?php _e('Home', 'irk'); ?>
                    </label>
                </div>
                <div class="uk-margin-small">
                    <label>
                        <input class="uk-checkbox" type="checkbox" name="bottom-navigation-favorites" value="1" <?php checked($options->get_option('bottom-navigation-favorites'), 1); ?>>
                        <?php _e('Favorites', 'irk'); ?>
                    </label>
                </div>
                <div class="uk-margin-small">
                    <label>
                        <input class="uk-checkbox" type="checkbox" name="bottom-navigation-notifications" value="1" <?php checked($options->get_option('bottom-navigation-notifications'), 1); ?>>
                        <?php _e('Notifications', 'irk'); ?>
                    </label>
                </div>
                <div class="uk-margin-small">
                    <label>
                        <input class="uk-checkbox" type="checkbox" name="bottom-navigation-cart" value="1" <?php checked($options->get_option('bottom-navigation-cart'), 1); ?>>
                        <?php _e('Cart', 'irk'); ?>
                    </label>
                </div>
                <div class="uk-margin-small">
                    <label>
                        <input class="uk-checkbox" type="checkbox" name="bottom-navigation-account" value="1" <?php checked($options->get_option('bottom-navigation-account'), 1); ?>>
                        <?php _e('Account', 'irk'); ?>
                    </label>
                </div>
            </div>
            <div class="irk-sortable uk-margin">
                <?php if (count($navigation)): ?>
                    <?php foreach ($navigation as $key => $nav): ?>
                        <?php
                        $icon = $nav['icon'] ?? null;
                        $url = $nav['url'] ?? null;
                        $text = $nav['text'] ?? null;
                        ?>
                        <div class="irk-bottom-nav-item irk-item uk-margin-small">
                            <div class="irk-actions">
                                <span class="move" uk-icon="move" uk-tooltip="title: <?php _e('Move', 'irk'); ?>"></span>
                                <span class="remove" uk-icon="close" uk-tooltip="title: <?php _e('Remove', 'irk'); ?>"></span>
                            </div>
                            <div class="uk-margin-small irk-mdi-select">
                                <input type="text" class="uk-input" name="bottom-navigation[<?php echo $key; ?>][icon]" value="<?php echo esc_attr($icon); ?>" placeholder="<?php _e('Icon', 'irk'); ?>">
                                <a href="https://materialdesignicons.com" class="uk-button uk-button-default uk-button-small" uk-tooltip="title: <?php _e('Select icon name from this link or insert icon image URL.', 'irk'); ?>" target="_blank"><?php _e('Select icon', 'irk'); ?></a>
                            </div>
                            <div class="uk-margin-small">
                                <input type="text" class="uk-input" name="bottom-navigation[<?php echo $key; ?>][url]" value="<?php echo esc_attr($url); ?>" placeholder="<?php _e('URL', 'irk'); ?>">
                            </div>
                            <div class="uk-margin-small">
                                <input type="text" class="uk-input" name="bottom-navigation[<?php echo $key; ?>][text]" value="<?php echo esc_attr($text); ?>" placeholder="<?php _e('Text', 'irk'); ?>">
                            </div>
                        </div>
                    <?php endforeach; ?>
                <?php endif; ?>
                <a href="#" class="irk-new-bottom-nav uk-button uk-button-default uk-button-small"><?php _e('New item', 'irk'); ?></a>
            </div>
        </li>
    </ul>
</div>