<?php defined( 'ABSPATH' ) || exit( 'No Access!' ); ?>
<div class="irk-settings-area irk-settings-posts">
    <h2 class="irk-settings-title">
        <span class="irk-title-icon"><span uk-icon="file-text"></span></span>
        <strong><?php _e( 'Posts', 'irk' ); ?></strong>
    </h2>
    <div class="uk-margin">
        <label class="uk-form-label"><?php _e('Image dimensions', 'irk'); ?></label>
        <div class="uk-margin-small">
            <input type="number" class="uk-input" name="post-thumbnail-width" value="<?php echo esc_attr($options->get_option('post-thumbnail-width')); ?>" placeholder="<?php _e('Width', 'irk'); ?>">
        </div>
        <div class="uk-margin-small">
            <input type="number" class="uk-input" name="post-thumbnail-height" value="<?php echo esc_attr($options->get_option('post-thumbnail-height')); ?>" placeholder="<?php _e('Height', 'irk'); ?>">
        </div>
        <div class="uk-margin-small">
            <label>
                <input class="uk-checkbox" type="checkbox" name="post-thumbnail-nocrop" value="1" <?php checked($options->get_option('post-thumbnail-nocrop'), 1); ?>>
                <?php _e('No crop', 'irk'); ?>
            </label>
        </div>
    </div>
    <div class="uk-margin">
        <label class="uk-form-label"><?php _e( 'Archive page', 'irk' ); ?></label>
        <div class="uk-margin-small">
            <label>
                <input class="uk-checkbox" type="checkbox" name="post-archive-title" value="1" <?php checked( $options->get_option( 'post-archive-title' ), 1 ); ?>>
				<?php _e( 'Category title', 'irk' ); ?>
            </label>
        </div>
        <div class="uk-margin-small">
            <label>
                <input class="uk-checkbox" type="checkbox" name="post-archive-description" value="1" <?php checked( $options->get_option( 'post-archive-description' ), 1 ); ?>>
				<?php _e( 'Category description', 'irk' ); ?>
            </label>
        </div>
        <div class="uk-margin-small">
            <label>
                <input class="uk-checkbox" type="checkbox" name="post-archive-sort" value="1" <?php checked( $options->get_option( 'post-archive-sort' ), 1 ); ?>>
				<?php _e( 'Sorting filter', 'irk' ); ?>
            </label>
        </div>
        <div class="uk-margin-small">
            <label>
                <input class="uk-checkbox" type="checkbox" name="post-archive-type" value="1" <?php checked( $options->get_option( 'post-archive-type' ), 1 ); ?>>
				<?php _e( 'Type filter', 'irk' ); ?>
            </label>
        </div>
        <div class="uk-margin-small">
            <label>
                <input class="uk-checkbox" type="checkbox" name="post-archive-count" value="1" <?php checked( $options->get_option( 'post-archive-count' ), 1 ); ?>>
				<?php _e( 'Posts count', 'irk' ); ?>
            </label>
        </div>
        <div class="uk-margin-small">
            <label>
                <input class="uk-checkbox" type="checkbox" name="post-archive-expert" value="1" <?php checked( $options->get_option( 'post-archive-expert' ), 1 ); ?>>
				<?php _e( 'Post expert', 'irk' ); ?>
            </label>
        </div>
        <div class="uk-margin-small">
            <label>
                <input class="uk-checkbox" type="checkbox" name="post-archive-author" value="1" <?php checked( $options->get_option( 'post-archive-author' ), 1 ); ?>>
				<?php _e( 'Author', 'irk' ); ?>
            </label>
        </div>
        <div class="uk-margin-small">
            <label>
                <input class="uk-checkbox" type="checkbox" name="post-archive-date" value="1" <?php checked( $options->get_option( 'post-archive-date' ), 1 ); ?>>
				<?php _e( 'Date', 'irk' ); ?>
            </label>
        </div>
        <div class="uk-margin-small">
            <label>
                <input class="uk-checkbox" type="checkbox" name="disable-showmore-archive-desc" value="1" <?php checked($options->get_option('disable-showmore-archive-desc'), 1); ?>>
                <?php _e('Disable show more', 'irk'); ?>
            </label>
        </div>
    </div>
    <div class="uk-margin">
        <label class="uk-form-label"><?php _e( 'Single page', 'irk' ); ?></label>
        <div class="uk-margin-small">
            <label>
                <input class="uk-checkbox" type="checkbox" name="post-single-author" value="1" <?php checked( $options->get_option( 'post-single-author' ), 1 ); ?>>
				<?php _e( 'Author', 'irk' ); ?>
            </label>
        </div>
        <div class="uk-margin-small">
            <label>
                <input class="uk-checkbox" type="checkbox" name="post-single-date" value="1" <?php checked( $options->get_option( 'post-single-date' ), 1 ); ?>>
				<?php _e( 'Date', 'irk' ); ?>
            </label>
        </div>
        <div class="uk-margin-small">
            <label>
                <input class="uk-checkbox" type="checkbox" name="post-single-favorites" value="1" <?php checked( $options->get_option( 'post-single-favorites' ), 1 ); ?>>
				<?php _e( 'Favorites', 'irk' ); ?>
            </label>
        </div>
        <div class="uk-margin-small">
            <label>
                <input class="uk-checkbox" type="checkbox" name="post-single-image" value="1" <?php checked( $options->get_option( 'post-single-image' ), 1 ); ?>>
				<?php _e( 'Image', 'irk' ); ?>
            </label>
        </div>
        <div class="uk-margin-small">
            <label>
                <input class="uk-checkbox" type="checkbox" name="post-single-share" value="1" <?php checked( $options->get_option( 'post-single-share' ), 1 ); ?>>
				<?php _e( 'Sharing', 'irk' ); ?>
            </label>
        </div>
        <div class="uk-margin-small">
            <label>
                <input class="uk-checkbox" type="checkbox" name="post-single-tags" value="1" <?php checked( $options->get_option( 'post-single-tags' ), 1 ); ?>>
				<?php _e( 'Tags', 'irk' ); ?>
            </label>
        </div>
    </div>
    <div class="uk-margin">
        <label class="uk-form-label"><?php _e( 'News', 'irk' ); ?></label>
        <div class="uk-margin-small">
            <label>
                <input class="uk-checkbox" type="checkbox" name="disable-news" value="1" <?php checked( $options->get_option( 'disable-news' ), 1 ); ?>>
                <?php _e( 'Disable', 'irk' ); ?>
            </label>
        </div>
    </div>
    <div class="uk-margin">
        <label class="uk-form-label"><?php _e( 'Blog', 'irk' ); ?></label>
        <div class="uk-margin-small">
            <label>
                <input class="uk-checkbox" type="checkbox" name="disable-blog" value="1" <?php checked( $options->get_option( 'disable-blog' ), 1 ); ?>>
                <?php _e( 'Disable', 'irk' ); ?>
            </label>
        </div>
    </div>
</div>