<?php
defined('ABSPATH') || exit('No Access!');

$main_slider_animation = $options->get_option('main-slider-animation');
$amazing_slider_second_image = $options->get_option('amazing-slider-second-image');
$products_slider_second_image = $options->get_option('products-slider-second-image');
?>
<div class="irk-settings-area irk-settings-slider">
    <h2 class="irk-settings-title">
        <span class="irk-title-icon"><span uk-icon="image"></span></span>
        <strong><?php _e('Slider', 'irk'); ?></strong>
    </h2>
    <ul uk-tab>
        <li class="uk-active"><a href="#"><?php _e('Main', 'irk'); ?></a></li>
        <li><a href="#"><?php _e('Amazing offer', 'irk'); ?></a></li>
        <li><a href="#"><?php _e('Products', 'irk'); ?></a></li>
        <li><a href="#"><?php _e('Brands', 'irk'); ?></a></li>
        <li><a href="#"><?php _e('Posts', 'irk'); ?></a></li>
    </ul>
    <ul class="uk-switcher uk-margin">
        <li>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Autoplay', 'irk'); ?></label>
                <div class="uk-margin-small">
                    <label>
                        <input class="uk-checkbox" type="checkbox" name="main-slider-autoplay" value="1" <?php echo checked($options->get_option('main-slider-autoplay'), 1); ?>>
                        <?php _e('Active', 'irk'); ?>
                    </label>
                </div>
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Infinity loop', 'irk'); ?></label>
                <div class="uk-margin-small">
                    <label>
                        <input class="uk-checkbox" type="checkbox" name="main-slider-loop" value="1" <?php echo checked($options->get_option('main-slider-loop'), 1); ?>>
                        <?php _e('Active', 'irk'); ?>
                    </label>
                </div>
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Rewind', 'irk'); ?></label>
                <div class="uk-margin-small">
                    <label>
                        <input class="uk-checkbox" type="checkbox" name="main-slider-rewind" value="1" <?php echo checked($options->get_option('main-slider-rewind'), 1); ?>>
                        <?php _e('Active', 'irk'); ?>
                    </label>
                </div>
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Hover pause', 'irk'); ?></label>
                <div class="uk-margin-small">
                    <label>
                        <input class="uk-checkbox" type="checkbox" name="main-slider-hover-pause" value="1" <?php echo checked($options->get_option('main-slider-hover-pause'), 1); ?>>
                        <?php _e('Active', 'irk'); ?>
                    </label>
                </div>
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Autoplay timeout', 'irk'); ?></label>
                <input type="number" class="uk-input" name="main-slider-autoplay-timeout" value="<?php echo esc_attr($options->get_option('main-slider-autoplay-timeout')); ?>" placeholder="<?php _e('Enter in milliseconds.', 'irk'); ?>">
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Autoplay speed', 'irk'); ?></label>
                <input type="number" class="uk-input" name="main-slider-autoplay-speed" value="<?php echo esc_attr($options->get_option('main-slider-autoplay-speed')); ?>" placeholder="<?php _e('Enter in milliseconds.', 'irk'); ?>">
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Navigation speed', 'irk'); ?></label>
                <input type="number" class="uk-input" name="main-slider-nav-speed" value="<?php echo esc_attr($options->get_option('main-slider-nav-speed')); ?>" placeholder="<?php _e('Enter in milliseconds.', 'irk'); ?>">
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Animation', 'irk'); ?></label>
                <div class="uk-margin-small">
                    <label>
                        <input class="uk-radio" type="radio" name="main-slider-animation" value="slide" <?php checked($main_slider_animation, 'slide'); ?>>
                        <?php _e('Slide', 'irk'); ?>
                    </label>
                </div>
                <div class="uk-margin-small">
                    <label>
                        <input class="uk-radio" type="radio" name="main-slider-animation" value="fadeout" <?php checked($main_slider_animation, 'fadeout'); ?>>
                        <?php _e('FadeOut', 'irk'); ?>
                    </label>
                </div>
            </div>
        </li>
        <li>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Autoplay', 'irk'); ?></label>
                <div class="uk-margin-small">
                    <label>
                        <input class="uk-checkbox" type="checkbox" name="amazing-slider-autoplay" value="1" <?php echo checked($options->get_option('amazing-slider-autoplay'), 1); ?>>
                        <?php _e('Active', 'irk'); ?>
                    </label>
                </div>
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Infinity loop', 'irk'); ?></label>
                <div class="uk-margin-small">
                    <label>
                        <input class="uk-checkbox" type="checkbox" name="amazing-slider-loop" value="1" <?php echo checked($options->get_option('amazing-slider-loop'), 1); ?>>
                        <?php _e('Active', 'irk'); ?>
                    </label>
                </div>
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Rewind', 'irk'); ?></label>
                <div class="uk-margin-small">
                    <label>
                        <input class="uk-checkbox" type="checkbox" name="amazing-slider-rewind" value="1" <?php echo checked($options->get_option('amazing-slider-rewind'), 1); ?>>
                        <?php _e('Active', 'irk'); ?>
                    </label>
                </div>
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Hover pause', 'irk'); ?></label>
                <div class="uk-margin-small">
                    <label>
                        <input class="uk-checkbox" type="checkbox" name="amazing-slider-hover-pause" value="1" <?php echo checked($options->get_option('amazing-slider-hover-pause'), 1); ?>>
                        <?php _e('Active', 'irk'); ?>
                    </label>
                </div>
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Single slide', 'irk'); ?></label>
                <div class="uk-margin-small">
                    <label>
                        <input class="uk-checkbox" type="checkbox" name="amazing-slider-single-slide" value="1" <?php echo checked($options->get_option('amazing-slider-single-slide'), 1); ?>>
                        <?php _e('Active', 'irk'); ?>
                    </label>
                </div>
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Autoplay timeout', 'irk'); ?></label>
                <input type="number" class="uk-input" name="amazing-slider-autoplay-timeout" value="<?php echo esc_attr($options->get_option('amazing-slider-autoplay-timeout')); ?>" placeholder="<?php _e('Enter in milliseconds.', 'irk'); ?>">
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Autoplay speed', 'irk'); ?></label>
                <input type="number" class="uk-input" name="amazing-slider-autoplay-speed" value="<?php echo esc_attr($options->get_option('amazing-slider-autoplay-speed')); ?>" placeholder="<?php _e('Enter in milliseconds.', 'irk'); ?>">
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Navigation speed', 'irk'); ?></label>
                <input type="number" class="uk-input" name="amazing-slider-nav-speed" value="<?php echo esc_attr($options->get_option('amazing-slider-nav-speed')); ?>" placeholder="<?php _e('Enter in milliseconds.', 'irk'); ?>">
            </div>
            <div class="uk-margin">
                <label class="uk-form-label" for="irk-amazing-slider-items"><?php _e('Items count', 'irk'); ?></label>
                <input type="number" class="uk-input" id="irk-amazing-slider-items" name="amazing-slider-items" value="<?php echo esc_attr($options->get_option('amazing-slider-items')); ?>">
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Countdown timer', 'irk'); ?></label>
                <div class="uk-margin-small">
                    <label>
                        <input class="uk-checkbox" type="checkbox" name="amazing-timer" value="1" <?php echo checked($options->get_option('amazing-timer'), 1); ?>>
                        <?php _e('Active', 'irk'); ?>
                    </label>
                </div>
            </div>
            <div class="uk-margin">
                <label class="uk-form-label" for="irk-amazing-slider-count"><?php _e('Total products count', 'irk'); ?></label>
                <input type="number" class="uk-input" id="irk-amazing-slider-count" name="amazing-slider-count" value="<?php echo esc_attr($options->get_option('amazing-slider-count')); ?>">
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Show expired products', 'irk'); ?></label>
                <div class="uk-margin-small">
                    <label>
                        <input class="uk-checkbox" type="checkbox" name="amazing-show-expired" value="1" <?php echo checked($options->get_option('amazing-show-expired'), 1); ?>>
                        <?php _e('Show', 'irk'); ?>
                    </label>
                </div>
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Add to cart button', 'irk'); ?></label>
                <div class="uk-margin-small">
                    <label>
                        <input class="uk-checkbox" type="checkbox" name="amazing-slider-add2cart" value="1" <?php echo checked($options->get_option('amazing-slider-add2cart'), 1); ?>>
                        <?php _e('Active', 'irk'); ?>
                    </label>
                </div>
                <div class="uk-margin-small">
                    <label>
                        <input class="uk-checkbox" type="checkbox" name="amazing-slider-quantity-input" value="1" <?php checked($options->get_option('amazing-slider-quantity-input'), 1); ?>>
                        <?php _e('Quantity input', 'irk'); ?>
                    </label>
                </div>
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Second hover image', 'irk'); ?></label>
                <div class="uk-margin-small">
                    <label>
                        <input class="uk-radio" type="radio" name="amazing-slider-second-image" value="none" <?php checked($amazing_slider_second_image, 'none'); ?>>
                        <?php _e('None', 'irk'); ?>
                    </label>
                </div>
                <div class="uk-margin-small">
                    <label>
                        <input class="uk-radio" type="radio" name="amazing-slider-second-image" value="first-gallery" <?php checked($amazing_slider_second_image, 'first-gallery'); ?>>
                        <?php _e('First gallery image', 'irk'); ?>
                    </label>
                </div>
                <div class="uk-margin-small">
                    <label>
                        <input class="uk-radio" type="radio" name="amazing-slider-second-image" value="custom" <?php checked($amazing_slider_second_image, 'custom'); ?>>
                        <?php _e('Custom', 'irk'); ?>
                    </label>
                </div>
            </div>
        </li>
        <li>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Autoplay', 'irk'); ?></label>
                <div class="uk-margin-small">
                    <label>
                        <input class="uk-checkbox" type="checkbox" name="products-slider-autoplay" value="1" <?php echo checked($options->get_option('products-slider-autoplay'), 1); ?>>
                        <?php _e('Active', 'irk'); ?>
                    </label>
                </div>
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Infinity loop', 'irk'); ?></label>
                <div class="uk-margin-small">
                    <label>
                        <input class="uk-checkbox" type="checkbox" name="products-slider-loop" value="1" <?php echo checked($options->get_option('products-slider-loop'), 1); ?>>
                        <?php _e('Active', 'irk'); ?>
                    </label>
                </div>
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Rewind', 'irk'); ?></label>
                <div class="uk-margin-small">
                    <label>
                        <input class="uk-checkbox" type="checkbox" name="products-slider-rewind" value="1" <?php echo checked($options->get_option('products-slider-rewind'), 1); ?>>
                        <?php _e('Active', 'irk'); ?>
                    </label>
                </div>
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Hover pause', 'irk'); ?></label>
                <div class="uk-margin-small">
                    <label>
                        <input class="uk-checkbox" type="checkbox" name="products-slider-hover-pause" value="1" <?php echo checked($options->get_option('products-slider-hover-pause'), 1); ?>>
                        <?php _e('Active', 'irk'); ?>
                    </label>
                </div>
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Single slide', 'irk'); ?></label>
                <div class="uk-margin-small">
                    <label>
                        <input class="uk-checkbox" type="checkbox" name="products-slider-single-slide" value="1" <?php echo checked($options->get_option('products-slider-single-slide'), 1); ?>>
                        <?php _e('Active', 'irk'); ?>
                    </label>
                </div>
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Autoplay timeout', 'irk'); ?></label>
                <input type="number" class="uk-input" name="products-slider-autoplay-timeout" value="<?php echo esc_attr($options->get_option('products-slider-autoplay-timeout')); ?>" placeholder="<?php _e('Enter in milliseconds.', 'irk'); ?>">
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Autoplay speed', 'irk'); ?></label>
                <input type="number" class="uk-input" name="products-slider-autoplay-speed" value="<?php echo esc_attr($options->get_option('products-slider-autoplay-speed')); ?>" placeholder="<?php _e('Enter in milliseconds.', 'irk'); ?>">
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Navigation speed', 'irk'); ?></label>
                <input type="number" class="uk-input" name="products-slider-nav-speed" value="<?php echo esc_attr($options->get_option('products-slider-nav-speed')); ?>" placeholder="<?php _e('Enter in milliseconds.', 'irk'); ?>">
            </div>
            <div class="uk-margin">
                <label class="uk-form-label" for="irk-products-slider-items"><?php _e('Items count', 'irk'); ?></label>
                <input type="number" class="uk-input" id="irk-products-slider-items" name="products-slider-items" value="<?php echo esc_attr($options->get_option('products-slider-items')); ?>">
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Show view all link', 'irk'); ?></label>
                <div class="uk-margin-small">
                    <label>
                        <input class="uk-checkbox" type="checkbox" name="products-slider-view-all" value="1" <?php echo checked($options->get_option('products-slider-view-all'), 1); ?>>
                        <?php _e('Active', 'irk'); ?>
                    </label>
                </div>
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Add to cart button', 'irk'); ?></label>
                <div class="uk-margin-small">
                    <label>
                        <input class="uk-checkbox" type="checkbox" name="products-slider-add2cart" value="1" <?php echo checked($options->get_option('products-slider-add2cart'), 1); ?>>
                        <?php _e('Active', 'irk'); ?>
                    </label>
                </div>
                <div class="uk-margin-small">
                    <label>
                        <input class="uk-checkbox" type="checkbox" name="products-slider-quantity-input" value="1" <?php checked($options->get_option('products-slider-quantity-input'), 1); ?>>
                        <?php _e('Quantity input', 'irk'); ?>
                    </label>
                </div>
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Product actions', 'irk'); ?></label>
                <div class="uk-margin-small">
                    <label>
                        <input class="uk-checkbox" type="checkbox" name="products-slider-favorites" value="1" <?php checked($options->get_option('products-slider-favorites'), 1); ?>>
                        <?php _e('Favorites', 'irk'); ?>
                    </label>
                </div>
                <div class="uk-margin-small">
                    <label>
                        <input class="uk-checkbox" type="checkbox" name="products-slider-quick-view" value="1" <?php checked($options->get_option('products-slider-quick-view'), 1); ?>>
                        <?php _e('Quick view', 'irk'); ?>
                    </label>
                </div>
                <div class="uk-margin-small">
                    <label>
                        <input class="uk-checkbox" type="checkbox" name="products-slider-compare" value="1" <?php checked($options->get_option('products-slider-compare'), 1); ?>>
                        <?php _e('Compare', 'irk'); ?>
                    </label>
                </div>
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Second hover image', 'irk'); ?></label>
                <div class="uk-margin-small">
                    <label>
                        <input class="uk-radio" type="radio" name="products-slider-second-image" value="none" <?php checked($products_slider_second_image, 'none'); ?>>
                        <?php _e('None', 'irk'); ?>
                    </label>
                </div>
                <div class="uk-margin-small">
                    <label>
                        <input class="uk-radio" type="radio" name="products-slider-second-image" value="first-gallery" <?php checked($products_slider_second_image, 'first-gallery'); ?>>
                        <?php _e('First gallery image', 'irk'); ?>
                    </label>
                </div>
                <div class="uk-margin-small">
                    <label>
                        <input class="uk-radio" type="radio" name="products-slider-second-image" value="custom" <?php checked($products_slider_second_image, 'custom'); ?>>
                        <?php _e('Custom', 'irk'); ?>
                    </label>
                </div>
            </div>
        </li>
        <li>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Autoplay', 'irk'); ?></label>
                <div class="uk-margin-small">
                    <label>
                        <input class="uk-checkbox" type="checkbox" name="brands-slider-autoplay" value="1" <?php echo checked($options->get_option('brands-slider-autoplay'), 1); ?>>
                        <?php _e('Active', 'irk'); ?>
                    </label>
                </div>
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Infinity loop', 'irk'); ?></label>
                <div class="uk-margin-small">
                    <label>
                        <input class="uk-checkbox" type="checkbox" name="brands-slider-loop" value="1" <?php echo checked($options->get_option('brands-slider-loop'), 1); ?>>
                        <?php _e('Active', 'irk'); ?>
                    </label>
                </div>
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Rewind', 'irk'); ?></label>
                <div class="uk-margin-small">
                    <label>
                        <input class="uk-checkbox" type="checkbox" name="brands-slider-rewind" value="1" <?php echo checked($options->get_option('brands-slider-rewind'), 1); ?>>
                        <?php _e('Active', 'irk'); ?>
                    </label>
                </div>
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Hover pause', 'irk'); ?></label>
                <div class="uk-margin-small">
                    <label>
                        <input class="uk-checkbox" type="checkbox" name="brands-slider-hover-pause" value="1" <?php echo checked($options->get_option('brands-slider-hover-pause'), 1); ?>>
                        <?php _e('Active', 'irk'); ?>
                    </label>
                </div>
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Single slide', 'irk'); ?></label>
                <div class="uk-margin-small">
                    <label>
                        <input class="uk-checkbox" type="checkbox" name="brands-slider-single-slide" value="1" <?php echo checked($options->get_option('brands-slider-single-slide'), 1); ?>>
                        <?php _e('Active', 'irk'); ?>
                    </label>
                </div>
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Autoplay timeout', 'irk'); ?></label>
                <input type="number" class="uk-input" name="brands-slider-autoplay-timeout" value="<?php echo esc_attr($options->get_option('brands-slider-autoplay-timeout')); ?>" placeholder="<?php _e('Enter in milliseconds.', 'irk'); ?>">
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Autoplay speed', 'irk'); ?></label>
                <input type="number" class="uk-input" name="brands-slider-autoplay-speed" value="<?php echo esc_attr($options->get_option('brands-slider-autoplay-speed')); ?>" placeholder="<?php _e('Enter in milliseconds.', 'irk'); ?>">
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Navigation speed', 'irk'); ?></label>
                <input type="number" class="uk-input" name="brands-slider-nav-speed" value="<?php echo esc_attr($options->get_option('brands-slider-nav-speed')); ?>" placeholder="<?php _e('Enter in milliseconds.', 'irk'); ?>">
            </div>
            <div class="uk-margin">
                <label class="uk-form-label" for="irk-brands-slider-items"><?php _e('Items count', 'irk'); ?></label>
                <input type="number" class="uk-input" id="irk-brands-slider-items" name="brands-slider-items" value="<?php echo esc_attr($options->get_option('brands-slider-items')); ?>">
            </div>
        </li>
        <li>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Autoplay', 'irk'); ?></label>
                <div class="uk-margin-small">
                    <label>
                        <input class="uk-checkbox" type="checkbox" name="posts-slider-autoplay" value="1" <?php echo checked($options->get_option('posts-slider-autoplay'), 1); ?>>
                        <?php _e('Active', 'irk'); ?>
                    </label>
                </div>
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Infinity loop', 'irk'); ?></label>
                <div class="uk-margin-small">
                    <label>
                        <input class="uk-checkbox" type="checkbox" name="posts-slider-loop" value="1" <?php echo checked($options->get_option('posts-slider-loop'), 1); ?>>
                        <?php _e('Active', 'irk'); ?>
                    </label>
                </div>
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Rewind', 'irk'); ?></label>
                <div class="uk-margin-small">
                    <label>
                        <input class="uk-checkbox" type="checkbox" name="posts-slider-rewind" value="1" <?php echo checked($options->get_option('posts-slider-rewind'), 1); ?>>
                        <?php _e('Active', 'irk'); ?>
                    </label>
                </div>
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Hover pause', 'irk'); ?></label>
                <div class="uk-margin-small">
                    <label>
                        <input class="uk-checkbox" type="checkbox" name="posts-slider-hover-pause" value="1" <?php echo checked($options->get_option('posts-slider-hover-pause'), 1); ?>>
                        <?php _e('Active', 'irk'); ?>
                    </label>
                </div>
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Single slide', 'irk'); ?></label>
                <div class="uk-margin-small">
                    <label>
                        <input class="uk-checkbox" type="checkbox" name="posts-slider-single-slide" value="1" <?php echo checked($options->get_option('posts-slider-single-slide'), 1); ?>>
                        <?php _e('Active', 'irk'); ?>
                    </label>
                </div>
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Autoplay timeout', 'irk'); ?></label>
                <input type="number" class="uk-input" name="posts-slider-autoplay-timeout" value="<?php echo esc_attr($options->get_option('posts-slider-autoplay-timeout')); ?>" placeholder="<?php _e('Enter in milliseconds.', 'irk'); ?>">
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Autoplay speed', 'irk'); ?></label>
                <input type="number" class="uk-input" name="posts-slider-autoplay-speed" value="<?php echo esc_attr($options->get_option('posts-slider-autoplay-speed')); ?>" placeholder="<?php _e('Enter in milliseconds.', 'irk'); ?>">
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Navigation speed', 'irk'); ?></label>
                <input type="number" class="uk-input" name="posts-slider-nav-speed" value="<?php echo esc_attr($options->get_option('posts-slider-nav-speed')); ?>" placeholder="<?php _e('Enter in milliseconds.', 'irk'); ?>">
            </div>
            <div class="uk-margin">
                <label class="uk-form-label" for="irk-posts-slider-items"><?php _e('Items count', 'irk'); ?></label>
                <input type="number" class="uk-input" id="irk-posts-slider-items" name="posts-slider-items" value="<?php echo esc_attr($options->get_option('posts-slider-items')); ?>">
            </div>
            <div class="uk-margin">
                <label class="uk-form-label"><?php _e('Show view all link', 'irk'); ?></label>
                <div class="uk-margin-small">
                    <label>
                        <input class="uk-checkbox" type="checkbox" name="posts-slider-view-all" value="1" <?php echo checked($options->get_option('posts-slider-view-all'), 1); ?>>
                        <?php _e('Active', 'irk'); ?>
                    </label>
                </div>
            </div>
        </li>
    </ul>
</div>