<?php
defined('ABSPATH') || exit('No Access!');

global $labels;
$ht_promotion_categories = irk_get_head_tag('ht-promotion-categories', ['class' => 'category-name']);

$t_args = array(
    'taxonomy' => 'product_cat',
    'hide_empty' => false,
    'number' => 'all',
    'meta_query' => array(
        array(
            'key' => 'irk_is_suggested',
            'value' => '1',
            'compare' => '=',
        ),
    ),
);
$terms = get_terms($t_args);
if (!count($terms)) return null;
$total_products = count(
    get_posts(
        array(
            'post_type' => 'product',
            'post_status' => 'publish',
            'fields' => 'ids',
            'posts_per_page' => '-1',
        )
    )
);
$title = str_replace('{{total_count}}', $total_products, $title);
?>
<div class="suggested-categories">
    <div <?php echo $items_per_row ? 'style="display: grid; grid-template-columns: repeat(' . esc_html($items_per_row) . ', 1fr)"' : 'class="row"'; ?>>
        <?php foreach ($terms as $term): ?>
            <div class="term term-<?php echo $term->term_id; ?> <?php echo !$items_per_row ? 'col' : ''; ?>">
                <a href="<?php echo get_term_link($term->term_id); ?>">
                    <span class="icon-wrapper">
                        <?php echo irk_get_icon(get_term_meta($term->term_id, 'irk_suggested_icon', true)); ?>
                    </span>
                    <?php echo $ht_promotion_categories['open'] . $term->name . $ht_promotion_categories['close']; ?>
                    <?php if ($show_count): ?>
                        <span class="category-quantity"><?php echo $term->count . ' ' . $labels->get_label('products'); ?></span>
                    <?php endif; ?>
                </a>
            </div>
        <?php endforeach; ?>
    </div>
</div>
