<?php
/**
 * Order Customer Details
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/order/order-details-customer.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce\Templates
 * @version 5.6.0
 */

defined('ABSPATH') || exit;

$show_shipping = !wc_ship_to_billing_address_only() && $order->needs_shipping_address();
?>
    <section class="address-details">
        <div class="billing-address">
            <div class="customer-address">
                <span class="label"><span data-icon="Icon-Badges-Delivery-Post"></span><?php esc_html_e('Billing address', 'woocommerce'); ?></span>
                <span><?php echo wp_kses_post(str_replace(['<br/>', '&', '"'], ' - ', $order->get_formatted_billing_address(esc_html__('N/A', 'woocommerce')))); ?></span>
            </div>
            <?php if ($order->get_billing_phone()) : ?>
                <div class="customer-phone">
                    <span class="label"><?php _e('Phone', 'woocommerce'); ?></span>
                    <span><?php echo esc_html($order->get_billing_phone()); ?></span>
                </div>
            <?php endif; ?>
            <?php if ($order->get_billing_email()) : ?>
                <div class="customer-email">
                    <span class="label"><?php _e('Email', 'woocommerce'); ?></span>
                    <span><?php echo esc_html($order->get_billing_email()); ?></span>
                </div>
            <?php endif; ?>
        </div>
        <?php if ($show_shipping) : ?>
            <div class="shipping-address">
                <div class="customer-address">
                    <span class="label"><span data-icon="Icon-Badges-Delivery-Post"></span><?php esc_html_e('Shipping address', 'woocommerce'); ?></span>
                    <span><?php echo wp_kses_post(str_replace(['<br/>', '&', '"'], ' - ', $order->get_formatted_shipping_address(esc_html__('N/A', 'woocommerce')))); ?></span>
                </div>
                <?php if ($order->get_shipping_phone()) : ?>
                    <div class="customer-phone">
                        <span class="label"><?php _e('Phone', 'woocommerce'); ?></span>
                        <span><?php echo esc_html($order->get_shipping_phone()); ?></span>
                    </div>
                <?php endif; ?>
            </div>
        <?php endif; ?>
    </section>
<?php
do_action('woocommerce_order_details_after_customer_details', $order);